Update App
curl --request PUT \
--url https://api.us.vartiq.com/apps/{appId} \
--header 'Content-Type: application/json' \
--header 'companyid: <companyid>' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.us.vartiq.com/apps/{appId}"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"companyid": "<companyid>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
companyid: '<companyid>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.us.vartiq.com/apps/{appId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"environment": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}Apps
Update App
PUT
/
apps
/
{appId}
Update App
Headers
string
required
The unique identifier of your company
URL Parameters
string
required
The unique identifier of the app to update
Body Parameters
string
New name for the app
string
New description for the app
Response
boolean
Indicates if the request was successful
string
A message describing the result of the operation
object
The updated app object
Response Example
{
"success": true,
"message": "App updated successfully",
"data": {
"id": "app_01JT38PHYK11F3X3M4772HE3TK",
"name": "hello app",
"description": "hello1",
"environment": "development",
"createdAt": "2025-04-30T11:53:17.020Z",
"updatedAt": "2025-04-30T11:53:44.548Z"
}
}
⌘I